--- title: "Manage disbursements" description: "Learn how to get and update configurations of a disbursement." url: "https://docs.adyen.com/capital/manage-disbursements" source_url: "https://docs.adyen.com/capital/manage-disbursements.md" canonical: "https://docs.adyen.com/capital/manage-disbursements" last_modified: "2026-05-25T12:55:00+02:00" language: "en" --- # Manage disbursements Learn how to get and update configurations of a disbursement. [View source](/capital/manage-disbursements.md) After the grant amount is disbursed to your user, you can retrieve information about a particular disbursement and update its configurations. ## Requirements Before you begin, take into account the following requirements, limitations, and preparations. | Requirement | Description | | -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | **Integration type** | You must have an Adyen for Platforms integration with the Capital financial product enabled. | | **API credentials** | You must have a [Balance Platform API key](/capital/manage-access#api-credentials) (for example, **ws\[\_123456]@BalancePlatform.\[YourBalancePlatform]**) to access the [Capital API](https://docs.adyen.com/api-explorer/capital/latest/overview). Your API credential must have the following roles:- **Balance Platform Capital Configuration role** - **Balance Platform Capital Grant Initiation role** | | **Capabilities** | Make sure that your user have the following [capabilities](/capital/manage-user-capabilities):- **getGrantOffers** - **receiveGrants** | | **Limitations** | * Your user must operate in one of the [supported countries/regions](/capital#supported-countriesregions). * Currently, only one disbursement per grant is allowed. We are working on enabling multiple disbursements to different balance accounts. * Unscheduled repayments are only available for users operating in Europe, the United Kingdom, and the United States. | | **Setup steps** | Before you begin, make sure:* You reached out to your Adyen contact to set up the necessary configurations to add the Capital financial product to your integration. For more details, see our [Integration checklist](/capital/integration-checklist). * You followed our [compliance guidelines for Capital](/capital/compliance-guidelines) when creating user interfaces, marketing materials, and other processes. * Your user [selected a grant offer](/capital/get-grant-offers) and [signed the Terms of Service](/capital/terms-of-service). * You [disbursed at least one grant](/capital/make-grant-request). | ## Get all disbursements of a grant To get all disbursements related to a grant: 1. Make a GET [/grants/{grantId}/disbursements](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements) request with the receiving [grantId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#path-grantId). **Get all disbursements of a grant** ```bash curl https://balanceplatform-api-test.adyen.com/capital/v1/grants/GR00000000000000000000001/disbursements \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X GET \ ``` 2. In the response, note the following parameters: | Parameter | Description | | ------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------- | | [accountHolderId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-accountHolderId) | The unique identifier of the account holder that received the disbursement. | | [amount](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-amount) | An object containing the amount of the disbursement, in [minor units](/development-resources/currency-codes). | | [balanceAccountId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-balanceAccountId) | The unique identifier of the balance account that received the disbursement. | | [balances](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-balances) | An object containing the balances of the disbursement. | | [fee](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-fee) | An object containing the fee that your user must pay for the disbursement. | | [fundsCollections](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-fundsCollections) | An object containing the accounts that Adyen uses to collect funds related to repayments. | | [grantId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-disbursements-grantId) | The unique identifier of the grant related to the disbursement. | | [disbursementsId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-disbursements-id) | The unique identifier of the disbursement. | | [repayment](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements#responses-200-repayment) | An object containing the [basis points](https://www.investopedia.com/terms/b/basispoint.asp) configured for repaying the disbursement. | **Response** ```json { "disbursements": [ { "id": "CPTL00000000000000000000001", "grantId": "GR00000000000000000000001", "accountHolderId": "AH00000000000000000000001", "balanceAccountId": "BA00000000000000000000001", "repayment": { "basisPoints": 500 }, "balances": { "principal": -748379, "fee": -74837, "total": -823216, "currency": "EUR" }, "amount": { "value": 748379, "currency": "EUR" }, "fee": { "amount": { "value": 74837, "currency": "EUR" } }, "fundsCollections": [ { "fundsCollectionType": "UnscheduledRepayment", "accountIdentification": { "type": "iban", "iban": "NL000000000001" } } ] } ] } ``` ## Update repayment configuration of a disbursement You can update the repayment configuration of a specific disbursement. Specifically, you can change the percentage of your user's incoming net volume that is deducted for repaying the grant. To do this: 1. Make a PATCH [/grants/{grantId}/disbursements/{disbursementId}](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)) request specifying the following parameters: | Parameter | Parameter type | Required | Description | | -------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- | ------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- | | [disbursementId](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#path-disbursementId) | Path | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The unique identifier of the disbursement. | | [grantId](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#path-grantId) | Path | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The identifier of the grant reference. | | [repayment](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#request-repayment) | Request | | An object containing the [basis points](https://www.investopedia.com/terms/b/basispoint.asp) configured for repaying the disbursement. | Here's an example of how to update the repayment configuration of a specific disbursement. **Update repayment configuration of a disbursement** ```bash curl https://balanceplatform-api-test.adyen.com/capital/v1/grants/GR00000000000000000000001/disbursements/CPTL00000000000000000000001 \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X PATCH \ -d '{ "repayment": { "basisPoints": 5000 } }' ``` 2. In the response, note the following parameters: | Parameter | Description | | --------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- | | [accountHolderId](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-accountHolderId) | The unique identifier of the account holder that received the disbursement. | | [amount](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-amount) | An object containing the amount of the disbursement, in [minor units](/development-resources/currency-codes). | | [balanceAccountId](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-balanceAccountId) | The unique identifier of the balance account that received the disbursement. | | [balances](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-balances) | An object containing the balances of the disbursement. | | [fee](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-fee) | An object containing the fee that your user must pay for the disbursement. | | [fundsCollections](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-fundsCollections) | An object containing the accounts that Adyen uses to collect funds related to repayments. | | [grantId](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-grantId) | The unique identifier of the grant related to the disbursement. | | [disbursementId](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-disbursementId) | The unique identifier of the disbursement. | | [repayment](https://docs.adyen.com/api-explorer/capital/latest/patch/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-repayment) | An object containing the [basis points](https://www.investopedia.com/terms/b/basispoint.asp) configured for repaying the disbursement. | **Response** ```json { "id": "CPTL00000000000000000000001", "grantId": "GR00000000000000000000001", "accountHolderId": "AH00000000000000000000001", "balanceAccountId": "BA00000000000000000000001", "repayment": { "basisPoints": 5000 }, "balances": { "principal": -639, "fee": -89, "total": -728, "currency": "EUR" }, "amount": { "value": 639, "currency": "EUR" }, "fee": { "amount": { "value": 89, "currency": "EUR" } }, "fundsCollections": [ { "fundsCollectionType": "UnscheduledRepayment", "accountIdentification": { "type": "iban", "iban": "NL000000000001" } } ] } ``` ## Retrieve bank account details for unscheduled repayments Users can make unscheduled payments to repay their grant using the dedicated bank account details (for example, IBAN) assigned to each disbursement. You can retrieve these bank account details by making an API call. Then, you can share the information with your users. To retrieve bank account details for a particular disbursement: 1. Make a GET [/grants/{grantId}/disbursements/{disbursementId}](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements/\(disbursementId\)) request, specifying the following path parameters: | Parameter | Required | Description | | ------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------- | ------------------------------------------ | | [disbursementId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements/\(disbursementId\)#path-disbursementId) | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The unique identifier of the disbursement. | | [grantId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements/\(disbursementId\)#path-grantId) | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The identifier of the grant reference. | **Retrieve bank account details for unscheduled repayments** ```bash curl https://balanceplatform-api-test.adyen.com/capital/v1/grants/GR00000000000000000000001/disbursements/CPTL00000000000000000000001 \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X GET \ ``` 2. In the response, note the [fundsCollections](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-fundsCollections) object containing the following parameters: | Parameter | Description | | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | [fundsCollections.accountIdentification](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-fundsCollections-accountIdentification) | An object containing the identification information of the account to which your user can transfer funds related to unscheduled repayments. For example, the international bank account number (IBAN). | | [fundsCollections.type](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)/disbursements/\(disbursementId\)#responses-200-fundsCollections-fundsCollectionType) | The type of funds collection. Must be set to **UnscheduledRepayment**. | **fundsCollections object** ```json { "fundsCollections": [ { "fundsCollectionType": "UnscheduledRepayment", "accountIdentification": { "type": "iban", "iban": "NL000000000001" } } ] } ``` ## See also * [Grant lifecycle and status](/capital/grant-lifecycle-and-status) * [Get grant details](/capital/get-grant-balances)